=== debian/changelog ===
glosung (3.6.4-2bit2) unstable; urgency=medium

  * Non-maintainer upload.
  * Added watchwords from The Word for the year 2023.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sun, 01 Jan 2023 12:33:54 +0100

glosung (3.6.4-2bit1) unstable; urgency=medium

  * added watchwords from The Word for the year 2022.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Jan 2022 10:37:29 +0100

glosung (3.6.4-1bit3) unstable; urgency=medium

  * split package into glosung and glosung-common
  * add watchwords into glosung-common

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 31 Oct 2020 10:26:09 +0100

glosung (3.6.4-1bit2) unstable; urgency=medium

  * patch 000-fix-SConstruct.patch.
  * set noautodbgsym to DEB_BUILD_OPTIONS.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 30 Oct 2020 12:43:06 +0100

glosung (3.6.4-1bit1) unstable; urgency=medium

  * repackaged for modern debian based distributions

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 16 Oct 2020 10:18:09 +0200

glosung (3.6.4~wily) wily; urgency=low

  * fix compilation warnings due to newer GTK version
  * update copyright information

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 06 Jan 2016 21:32:24 +0100

glosung (3.6.3~raring-2) raring; urgency=low

  * fix compilation problem under recent ubuntu

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 20 May 2013 17:07:36 +0100

glosung (3.6.2~maverick) maverick; urgency=low

  * fix error reporting problem after download (proxy)
  * fix translation problem

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 01 Nov 2010 20:52:54 +0100

glosung (3.6.1~maverick) maverick; urgency=low

  * fix XML handling, as file format was slightly by losungen.de
  * add [control] modifier to scroll wheel to navigate monthly

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 27 Oct 2010 21:50:47 +0200

glosung (3.6~maverick) maverick; urgency=low

  * add Hungarian translation (thanks Mate)
  * use scroll wheel to browse through dates
  * add proxy support (no authentication so far)
  * add option for auto start once a day or at every login

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 04 Aug 2010 22:13:00 +0200

glosung (3.5.3~lucid) lucid; urgency=low

  * fix compilation problem under lucid/new gtk versions

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 03 May 2010 21:44:05 +0200

glosung (3.5.2~lucid) lucid; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.2~karmic) karmic; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.2~jaunty) jaunty; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.2~intrepid) intrepid; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.2~hardy) hardy; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.1~karmic3) karmic; urgency=low

  * new upstream bug fixing release

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 22 Jan 2010 22:20:13 +0100

glosung (3.5.1~jaunty1) jaunty; urgency=low

  * new upstream bug fixing release

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 22 Jan 2010 22:20:13 +0100

glosung (3.5.1~intrepid1) intrepid; urgency=low

  * new upstream bug fixing release

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 22 Jan 2010 22:20:13 +0100

glosung (3.5.1~hardy1) hardy; urgency=low

  * new upstream bug fixing release

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 22 Jan 2010 22:20:13 +0100

glosung (3.5~karmic) karmic; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 10 Jan 2010 19:12:29 +0200

glosung (3.5~jaunty) jaunty; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 04 Jan 2010 23:39:34 +0200

glosung (3.5~intrepid) intrepid; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 04 Jan 2010 23:39:34 +0200

glosung (3.5~hardy) hardy; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 04 Jan 2010 23:39:34 +0200

glosung (3.4.2~hardy-1) hardy; urgency=low

  * patch: gtk version in glade file

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 26 May 2009 18:41:18 +0200

glosung (3.4.2~jaunty) jaunty; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 26 May 2009 18:41:18 +0200

glosung (3.4.2~intrepid) intrepid; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 26 May 2009 18:41:18 +0200

glosung (3.4.2~hardy) hardy; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 26 May 2009 18:41:18 +0200

glosung (3.4.1-2) intrepid; urgency=low

  * add intrepid version (2nd try)

 -- Eicke Godehardt <sf@godehardt.org>  Sun, 24 May 2009 21:27:00 +0100

glosung (3.4.1) jaunty; urgency=low

  * version bump to 3.4.1
  * handle new name of GnomeSword, now Xiphos
  * further simplify preferences
  * some glade than UI code

 -- Eicke Godehardt <sf@godehardt.org>  Thu, 07 May 2009 21:37:00 +0100

glosung (3.4-1) intrepid; urgency=low

  * add herrnhut.png to glosung.files

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 31 Jan 2009 15:21:00 +0100

glosung (3.4) intrepid; urgency=low

  * version bump
  * add about Herrnhut
  * simplify preferences

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 31 Jan 2009 14:26:00 +0100

glosung (3.3.2) intrepid; urgency=low

  * version bump
  * fix path problems

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 05 Dec 2008 13:20:00 +0100

glosung (3.3.1) intrepid; urgency=low

  * version bump


