=== debian/control ===
Source: glosung
Maintainer: Eicke Godehardt <sf@godehardt.org>
Section: gnome
Priority: optional
Build-Depends: debhelper-compat (= 12), scons, debhelper, intltool, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev | libcurl3-dev, libgconf2-dev
Standards-Version: 4.1.2
Homepage: http://www.godehardt.org/losung.html

Package: glosung
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glosung-common, unzip, xdg-utils
Description: Gtk+ Version of watchwords (german: Losungen).
 This program shows the watchwords (german: Losungen) for each day.
 The `Losungen' are words out of the bible, mostly one from the Old
 and one from the New Testament.
 .
 This package contains the binary files.

Package: glosung-common
Architecture: all
Depends: ${misc:Depends}
Suggests: glosung
Description: Gtk+ Version of watchwords (german: Losungen).
 This program shows the watchwords (german: Losungen) for each day.
 The `Losungen' are words out of the bible, mostly one from the Old
 and one from the New Testament.
 .
 This package contains the common files.
