=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_BUILD_OPTIONS = noautodbgsym
#DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_clean:
	scons -c
	rm config.log
	dh_clean

override_dh_auto_build:
	dh_testdir
	scons

override_dh_auto_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	scons DESTDIR=`pwd`/debian/glosung install
	mv `pwd`/debian/glosung/usr/share/doc/glosung-* `pwd`/debian/glosung/usr/share/doc/glosung
	mkdir -p debian/glosung-common/usr/share
	mv debian/glosung/usr/share/glosung debian/glosung-common/usr/share/glosung-common
	mv debian/glosung/usr/share/locale debian/glosung-common/usr/share/locale
	cp debian/watchwords/* debian/glosung-common/usr/share/glosung-common
	dh_link -pglosung-common usr/share/glosung-common usr/share/glosung
