## glosung 3.6.6

=== SConstruct ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SConstruct
-# Copyright (C) 1999-2016 Eicke Godehardt
+# Copyright (C) 1999-2021 Eicke Godehardt
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,7 @@
 
 import os
 
-version = '3.6.4'
+version = '3.6.6'
 
 # Stores signatures in ".sconsign.dbm"
 # in the top-level SConstruct directory.
@@ -63,7 +63,7 @@
 		'-DGLOSUNG_DATA_DIR=\\"' + data_dir + '\\"',
 		'-DPACKAGE_PIXMAPS_DIR=\\"' + pixmap_dir + '\\"']
 
-linkflags = ['-L.']
+linkflags = ['-L.']             
 
 if ARGUMENTS.get ('profile'):
     ccflags.append   ('-pg', '-fprofile-arcs')
@@ -101,7 +101,7 @@
 
 conf = Configure (env)
 if not conf.CheckLib ('libxml2'):
-	print 'Did not find libxml2.a or xml2.lib, exiting!'
+	print('Did not find libxml2.a or xml2.lib, exiting!')
 
 Export ('env cpppath ccflags install_dir prefix pixmap_dir tar_file')
 
@@ -127,7 +127,6 @@
                     'COPYING',
                     'ChangeLog',
                     'INSTALL',
-                    'NEWS',
                     'README',
                     'SConstruct',
                     'herrnhut.png',
