=== debian/changelog ===
glosung (3.6.6-2bit3) unstable; urgency=medium

  * Fixed typo.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 11 Jul 2025 15:22:47 +0200

glosung (3.6.6-2bit2) unstable; urgency=medium

  * Removed watchwords from the package glosung as watchwords
    are now in a seperate source package.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 11 Jul 2025 13:21:01 +0200

glosung (3.6.6-2bit1) unstable; urgency=medium

  * Added watchwords from bible2.net and Herrnhuter
    Brüdergemeinde for the year 2025.
  * Split watchwords to separate packages, one for
    bible2.net and one for Herrnhuter Brüdergemeinde.
  * Bump debhelper-compat to 13.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Wed, 11 Dec 2024 13:44:37 +0100

glosung (3.6.6-1bit2) unstable; urgency=medium

  * Added watchwords from bible2.net for the year 2024.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 01 Jan 2024 17:55:23 +0100

glosung (3.6.6-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 02 Jan 2023 17:15:33 +0100
