=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Maintainer: Eicke Godehardt <sf@godehardt.org>
 Section: gnome
 Priority: optional
-Build-Depends: debhelper-compat (= 12), scons, debhelper, intltool, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev | libcurl3-dev, libgconf2-dev
+Build-Depends: debhelper-compat (= 13), scons, intltool, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev, libgconf2-dev
 Standards-Version: 4.1.2
 Homepage: http://www.godehardt.org/losung.html
 
 Package: glosung
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, glosung-common, unzip, xdg-utils
+Recommends: glosung-watchwords-bible20 | glosung-watchwords-herrnhuter
 Description: Gtk+ Version of watchwords (german: Losungen).
  This program shows the watchwords (german: Losungen) for each day.
  The `Losungen' are words out of the bible, mostly one from the Old
