=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_BUILD_OPTIONS = noautodbgsym
#DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_clean:
	scons --clean
	rm -rf build
	rm -f config.log
	rm -rf .pc
	rm -rf .sconf_temp
	rm -f .sconsign.dblite
	dh_auto_clean

override_dh_auto_build:
	scons build

override_dh_auto_install:
	scons DESTDIR=`pwd`/debian/tmp install
