## glosung 4.1.0

=== SConstruct ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SConstruct
-# Copyright (C) 1999-2021 Eicke Godehardt
+# Copyright (C) 1999-2024 Eicke Godehardt
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,7 @@
 
 import os
 
-version = '3.6.6'
+version = '4.1'
 
 # Stores signatures in ".sconsign.dbm"
 # in the top-level SConstruct directory.
@@ -38,18 +38,23 @@
   LINKFLAGS = '',
   CCFLAGS   = '',
   ENV       = os.environ,
-  TARFLAGS  = '-c -j')
+  TARFLAGS  = '-c -j',
+  tools     = ["default", "gettext"])
 
 if env['PLATFORM'] == 'win32':
 	prefix      = ARGUMENTS.get ('PREFIX', '')
 	install_dir = ARGUMENTS.get ('DESTDIR', '')
+	schema_dir  = ''
 	pixmap_dir  = ''
+	icon_dir    = ''
 	data_dir    = '.'
 	doc_dir     = ''
 else:
 	prefix      = ARGUMENTS.get ('PREFIX', '/usr')
 	install_dir = ARGUMENTS.get ('DESTDIR', '')
+	schema_dir  = prefix + '/share/glib-2.0/schemas/'
 	pixmap_dir  = prefix + '/share/glosung/'
+	icon_dir    = prefix + '/share/icons/hicolor/'
 	data_dir    = prefix + '/share/glosung'
 	doc_dir     = '/share/doc/glosung-' + version
 
@@ -57,20 +62,20 @@
 VariantDir('build', 'src')
 
 cpppath = ['#', '#build']
-ccflags   = ['-O2', '-std=c99', '-Wall', '-g',
+ccflags   = ['-O2', '-std=c99', '-Wall', '-g', '-Wl,—export-dynamic',
 #		'-DLIBXML_STATIC',
 		'-DVERSION=\\"' + version + '\\"',
 		'-DGLOSUNG_DATA_DIR=\\"' + data_dir + '\\"',
 		'-DPACKAGE_PIXMAPS_DIR=\\"' + pixmap_dir + '\\"']
 
-linkflags = ['-L.']             
+linkflags = []          # '-L.'
 
 if ARGUMENTS.get ('profile'):
     ccflags.append   ('-pg', '-fprofile-arcs')
-    linkflags.append ('-pg', '-fprofile-arcs', '-Wl,--export-dynamic')
+    linkflags.append ('-pg', '-fprofile-arcs')
 
-if env['PLATFORM'] != 'win32':
-        linkflags.append ('-Wl,--as-needed')
+#if env['PLATFORM'] != 'win32':
+#    linkflags.append ('-Wl,--as-needed')
 
 #if not (ARGUMENTS.get ('dev')):
 if (ARGUMENTS.get ('dev')):
@@ -92,18 +97,19 @@
   CCFLAGS   = ccflags)
 
 if env['PLATFORM'] == 'win32':
-        env.ParseConfig ('pkg-config gtk+-2.0 libxml-2.0 libcurl --cflags --libs')
+        env.ParseConfig ('pkg-config gtk4 libxml-2.0 libcurl --cflags --libs')
         Tool('mingw')(env)
 else:
-        env.ParseConfig('pkg-config gtk+-2.0 libxml-2.0 gconf-2.0 gmodule-export-2.0 libcurl --cflags --libs')
+        env.ParseConfig('pkg-config gtk4 libxml-2.0 gio-2.0 gmodule-export-2.0 libcurl libadwaita-1 --cflags --libs')
 #        Tool('posix')(env)
 
+linkflags.append ('-lgmodule-export-2.0')
 
 conf = Configure (env)
-if not conf.CheckLib ('libxml2'):
-	print('Did not find libxml2.a or xml2.lib, exiting!')
+#if not conf.CheckLib ('libxml2'):
+#	print('Did not find libxml2.a or xml2.lib, exiting!')
 
-Export ('env cpppath ccflags install_dir prefix pixmap_dir tar_file')
+Export ('env cpppath ccflags install_dir prefix pixmap_dir tar_file version')
 
 SConscript ('build/SConscript')
 SConscript ('po/SConscript')
@@ -115,11 +121,21 @@
           source = ['AUTHORS', 'COPYING', 'ChangeLog', 'INSTALL', 'README'])
 
 env.Install (dir = install_dir + prefix + '/share/applications',
-          source = 'glosung.desktop')
+          source = 'org.godehardt.glosung.desktop')
+env.Install (dir = install_dir + schema_dir,
+          source = 'org.godehardt.GLosung.gschema.xml')
 env.Install (dir = install_dir + pixmap_dir,
-        source = ['herrnhut.png', 'glosung.png', 'glosung-big.png'])
+        source = [
+                'herrnhut.png',
+                'glosung.png',
+                'glosung-big.png',
+                'glosung-big-white.png'])
+env.Install (dir = install_dir + icon_dir + 'scalable/apps/',
+          source = 'glosung.svg')
+env.Install (dir = install_dir + icon_dir + '48x48/apps/',
+          source = 'glosung.png')
 env.Install (dir = install_dir + data_dir,
-        source = ['ui/add_language.glade', 'ui/preferences.glade', 'ui/warning_dialog.glade'])
+        source = [])
 
 # TODO put everything into a folder "glosung-<VERSION>" and rename build to src
 if env['PLATFORM'] != 'win32':
@@ -131,15 +147,42 @@
                     'SConstruct',
                     'herrnhut.png',
                     'glosung-big.png',
-                    'glosung.desktop',
+                    'glosung-big-white.png',
                     'glosung.png',
-                    'ui/add_language.glade',
-                    'ui/preferences.glade',
-                    'ui/warning_dialog.glade',
+                    'glosung.svg',
+                    'glosung.gresource.xml',
+                    'org.godehardt.glosung.desktop',
+                    'ui/add_language.ui',
+                    'ui/glosung.ui',
+                    'ui/language_manager.ui',
+                    'ui/preferences.ui',
+                    'ui/warning_dialog.ui',
+                    'ui/style.css',
+                    'ui/icons/angle-left-solid.png',
+                    'ui/icons/angle-left-solid-white.png',
+                    'ui/icons/angle-right-solid.png',
+                    'ui/icons/angle-right-solid-white.png',
+                    'ui/icons/angles-down-solid.png',
+                    'ui/icons/angles-down-solid-white.png',
+                    'ui/icons/angles-left-solid.png',
+                    'ui/icons/angles-left-solid-white.png',
+                    'ui/icons/angles-right-solid.png',
+                    'ui/icons/angles-right-solid-white.png',
+                    'ui/icons/bars-solid.png',
+                    'ui/icons/bars-solid-white.png',
+                    'ui/icons/calendar-alt-regular.png',
+                    'ui/icons/calendar-alt-regular-white.png',
+                    'ui/icons/clone-regular.png',
+                    'ui/icons/clone-regular-white.png',
+                    'ui/icons/gear-solid.png',
+                    'ui/icons/gear-solid-white.png',
+                    'ui/icons/question-circle-regular.png',
+                    'ui/icons/question-circle-regular-white.png',
                     'debian/glosung.files',
                     'debian/control',
                     'debian/changelog',
                     'debian/copyright',
+                    'debian/compat',
                     'debian/rules',
                     'rpm/glosung.spec'])
