=== debian/changelog ===
glosung (4.1.0-1bit2) unstable; urgency=medium

  * Package glosung depends on glosung-common, unzip and xdg-utils
  * Package glosung recommends glosung-watchwords

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 14 Jul 2025 15:58:47 +0200

glosung (4.1.0-1bit1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repackaged for modern debian based distributions.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 16 Jun 2025 15:20:56 +0200

glosung (4.1~noble) noble; urgency=low

  * support Ubuntu 24.4 and newer
  * migrate from deprecated settings backend
  * offer scalable icon

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 15 Oct 2024 11:21:33 +0100

glosung (4.0.1~mantic) mantic; urgency=low

  * support dark mode
  * fix jumping back one day every now and then

 -- Eicke Godehardt <sf@godehardt.org>  Thu, 19 Dec 2022 15:10:53 +0100

glosung (4.0.0~impish) impish; urgency=low

  * major upgrade as migrated to gtk4
  * update Herrnhut download url

 -- Eicke Godehardt <sf@godehardt.org>  Thu, 03 Mar 2022 11:19:29 +0100

glosung (3.6.6~bionic2) bionic; urgency=low

  * several config/build fixes (thanks Andreas Kemnade)

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 20 Oct 2021 14:31:54 +0100

glosung (3.6.5~hirsute) hirsute; urgency=low

  * fix segfault when book not found
  * improve book search algorithm in sword_book_title(), sword_book_title_for_original_losung()
  * add automatic refresh on date change

 -- Johannes Hausensteiner <johannes@eclipso.at>  Thu, 23 Jan 2019 20:30:00 +0100

glosung (3.6.4~xenial) xenial; urgency=low

  * fix compilation warnings due to newer GTK version
  * update copyright information

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 06 Jan 2016 21:32:24 +0100
