=== debian/changelog ===
glosung (4.2.0-1bit1) unstable; urgency=medium

  * New upstream version.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 29 Dec 2025 11:11:07 +0100
