=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: glosung
-Maintainer: Eicke Godehardt <sf@godehardt.org>
+Maintainer: Eicke Godehardt <dev@godehardt.org>
 Section: gnome
 Priority: optional
-Build-Depends: debhelper-compat (= 13), scons, intltool, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev, libgconf2-dev
+Build-Depends: debhelper-compat (= 13), scons, intltool, libgtk-4-dev (>= 4.10), libadwaita-1-dev, libxml2-dev, libcurl4-gnutls-dev | libcurl4-openssl-dev, gettext
 Standards-Version: 4.1.2
 Homepage: http://www.godehardt.org/losung.html
