=== debian/watch ===
#https://github.com/godehardt/glosung/releases
